Bug 1690449 - Satellite UI page headers and Navigation missing when selecting insights pages
Summary: Satellite UI page headers and Navigation missing when selecting insights pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-foreman-redhat_access
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
: 1696453 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 13:58 UTC by Djebran Lezzoum
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-redhat_access 2.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:41 UTC
Red Hat Bugzilla 1674165 None None None 2019-07-29 15:10:28 UTC

Description Djebran Lezzoum 2019-03-19 13:58:39 UTC
Created attachment 1545683 [details]
Insights-overview-Page

Description of problem:
Satellite UI page headers and Navigation missing when selecting insights pages

Version-Release number of selected component (if applicable):
* candlepin-2.5.11-1.el7.noarch
* candlepin-selinux-2.5.11-1.el7.noarch
* foreman-1.20.1.22-1.el7sat.noarch
* foreman-bootloaders-redhat-201801241201-4.el7sat.noarch
* foreman-bootloaders-redhat-tftpboot-201801241201-4.el7sat.noarch
* foreman-cli-1.20.1.22-1.el7sat.noarch
* foreman-compute-1.20.1.22-1.el7sat.noarch
* foreman-debug-1.20.1.22-1.el7sat.noarch
* foreman-discovery-image-3.5.4-2.el7sat.noarch
* foreman-ec2-1.20.1.22-1.el7sat.noarch
* foreman-gce-1.20.1.22-1.el7sat.noarch
* foreman-installer-1.20.0-2.el7sat.noarch
* foreman-installer-katello-3.10.0.4-1.el7sat.noarch
* foreman-libvirt-1.20.1.22-1.el7sat.noarch
* foreman-openstack-1.20.1.22-1.el7sat.noarch
* foreman-ovirt-1.20.1.22-1.el7sat.noarch
* foreman-postgresql-1.20.1.22-1.el7sat.noarch
* foreman-proxy-1.20.0-1.el7sat.noarch
* foreman-rackspace-1.20.1.22-1.el7sat.noarch
* foreman-selinux-1.20.0-1.el7sat.noarch
* foreman-vmware-1.20.1.22-1.el7sat.noarch
* katello-3.10.0-0.6.rc1.el7sat.noarch
* katello-ca-consumer-dhcp-8-29-228.lab.eng.rdu2.redhat.com-1.0-3.noarch
* katello-certs-tools-2.4.0-2.el7sat.noarch
* katello-client-bootstrap-1.7.1-1.el7sat.noarch
* katello-common-3.10.0-0.6.rc1.el7sat.noarch
* katello-debug-3.10.0-0.6.rc1.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.10.0.4-1.el7sat.noarch
* katello-selinux-3.0.3-2.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.10.0-0.6.rc1.el7sat.noarch
* ldapjdk-4.19-5.el7.noarch
* openldap-2.4.44-21.el7_6.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-3.2.2-1.el7sat.noarch
* pulp-katello-1.0.2-5.el7sat.noarch
* pulp-maintenance-2.18.1-3.el7sat.noarch
* pulp-ostree-plugins-1.4.0-2.el7sat.noarch
* pulp-puppet-plugins-2.18.1-2.el7sat.noarch
* pulp-puppet-tools-2.18.1-2.el7sat.noarch
* pulp-rpm-plugins-2.18.1-2.el7sat.noarch
* pulp-selinux-2.18.1-3.el7sat.noarch
* pulp-server-2.18.1-3.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.7-3.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-3.el7sat.noarch


How reproducible:
Always

Steps to Reproduce:
1.Having an Organization with a subscription manifest uploaded
2. Goto  Insights > Overview

Actual results:
The satellite UI headers and Navigation is missing

Expected results:
The satellite UI headers and Navigation should displayed


Additional info:
Entering any of insights pages lead to the same issue

Comment 2 Walden Raines 2019-03-25 15:30:14 UTC
Could this be related to https://bugzilla.redhat.com/show_bug.cgi?id=1674165?

Comment 3 Marek Hulan 2019-03-26 16:10:33 UTC
It is in fact fixed by the same patch. Updating the BZ accordingly.

Comment 4 Radovan Drazny 2019-04-01 12:36:43 UTC
Verified on tfm-rubygem-redhat_access-2.2.3-1.el7sat.
Satellite headers and Navigation is back. I have checked all pages in the Inights module, and all navigation components are displayed correctly.

Comment 5 Radovan Drazny 2019-04-05 08:02:45 UTC
*** Bug 1696453 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2019-05-14 12:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.